# ArcPainter class

Inheritance
  - Object
  - Listenable
  - CustomPainter
  - ArcPainter

## Constructors

ArcPainter(double radius, double strokeWidth, double arcStart, double arcEnd, Color color, ValueNotifier<double> notifier)

## Properties

arcEnd ↔ double
  getter/setter pair
arcStart ↔ double
  getter/setter pair
circlePaint ↔ Paint
  getter/setter pair
color ↔ Color
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
notifier ↔ ValueNotifier<double>
  getter/setter pair
radius ↔ double
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
semanticsBuilder → SemanticsBuilderCallback?
  Returns a function that builds semantic information for the picture drawn by this painter.
  no setter inherited
strokeWidth ↔ double
  getter/setter pair

## Methods

addListener(VoidCallback listener) → void
  Register a closure to be notified when it is time to repaint.
  inherited
degreeToRadian(double degree) → double
hitTest(Offset position) → bool?
  Called whenever a hit test is being performed on an object that is using this custom paint delegate.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
paint(Canvas canvas, Size size) → void
  Called whenever the object needs to paint. The given Canvas has its coordinate space configured such that the origin is at the top left of the box. The area of the box is the size of the `size` argument.
  override
radianToDegree(double radian) → double
removeListener(VoidCallback listener) → void
  Remove a previously registered closure from the list of closures that the object notifies when it is time to repaint.
  inherited
shouldRebuildSemantics(covariant CustomPainter oldDelegate) → bool
  Called whenever a new instance of the custom painter delegate class is provided to the RenderCustomPaint object, or any time that a new CustomPaint object is created with a new instance of the custom painter delegate class (which amounts to the same thing, because the latter is implemented in terms of the former).
  inherited
shouldRepaint(covariant CustomPainter oldDelegate) → bool
  Called whenever a new instance of the custom painter delegate class is provided to the RenderCustomPaint object, or any time that a new CustomPaint object is created with a new instance of the custom painter delegate class (which amounts to the same thing, because the latter is implemented in terms of the former).
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited